Index: /extensions/UserAdvManager/branches/2.20/admin/UAM_admin.php
===================================================================
--- /extensions/UserAdvManager/branches/2.20/admin/UAM_admin.php	(revision 11318)
+++ /extensions/UserAdvManager/branches/2.20/admin/UAM_admin.php	(revision 11319)
@@ -33,4 +33,7 @@
 $UAM_Password_Test_Score = 0;
 $UAM_Exclusionlist_Error = false;
+$UAM_Illegal_Flag_Error1 = false;
+$UAM_Illegal_Flag_Error2 = false;
+$UAM_Illegal_Flag_Error3 = false;
 
 $dump_download = '';
@@ -111,5 +114,5 @@
     //General configuration settings
 		$_POST['UAM_MailInfo_Text'] = str_replace('\"', '"', str_replace("\'", "'", str_replace("\\\\", "\\", $_POST['UAM_MailInfo_Text'])));
-    
+
 		$_POST['UAM_ConfirmMail_Text'] = str_replace('\"', '"', str_replace("\'", "'", str_replace("\\\\", "\\", $_POST['UAM_ConfirmMail_Text'])));
 
@@ -135,4 +138,5 @@
     // Consistency check between ConfirmMail and AutoMail - We cannot use GTAutoMail if ConfirmMail is disabled
     $conf_UAM = unserialize($conf['UserAdvManager']);
+    $conf_UAM_ConfirmMail = unserialize($conf['UserAdvManager_ConfirmMail']);
     
     if (((isset($conf_UAM['1']) and ($conf_UAM['1'] == 'false' or $conf_UAM['1'] == 'local')) or ($_POST['UAM_Confirm_Mail'] == 'false' or $_POST['UAM_Confirm_Mail'] == 'local')) and $_POST['UAM_GTAutoMail'] == 'true')
@@ -141,4 +145,11 @@
       $_POST['UAM_GTAutoMail'] = $newvalue;
       array_push($page['errors'], l10n('UAM_Error_GTAutoMail_cannot_be_set_without_ConfirmMail'));
+    }
+
+    // Check if [Kdays] flag is used in a legal way (ConfirmMail Time out have to be set)
+    if (isset($conf_UAM_ConfirmMail[0]) and $conf_UAM_ConfirmMail[0] == 'false' and preg_match('#\[Kdays\]#i',$_POST['UAM_ConfirmMail_Text']) != 0)
+    {
+      $UAM_Illegal_Flag_Error1 = true;
+      array_push($page['errors'], l10n('UAM_Error_Using_illegal_Kdays'));
     }
 
@@ -193,4 +204,16 @@
     
     $_POST['UAM_ConfirmMail_Custom_Txt2'] = str_replace('\"', '"', str_replace("\'", "'", str_replace("\\\\", "\\", $_POST['UAM_ConfirmMail_Custom_Txt2'])));
+
+    // Check if [Kdays] flag is used in a legal way (ConfirmMail Time out have to be set)
+    if (isset($conf_UAM_ConfirmMail[0]) and $conf_UAM_ConfirmMail[0] == 'false' and preg_match('#\[Kdays\]#i',$_POST['UAM_ConfirmMail_ReMail_Txt1']) == 1)
+    {
+      $UAM_Illegal_Flag_Error2 = true;
+      array_push($page['errors'], l10n('UAM_Error_Using_illegal_flag'));
+    }
+    elseif (isset($conf_UAM_ConfirmMail[0]) and $conf_UAM_ConfirmMail[0] == 'false' and preg_match('#\[Kdays\]#i',$_POST['UAM_ConfirmMail_ReMail_Txt2']) == 1)
+    {
+      $UAM_Illegal_Flag_Error3 = true;
+      array_push($page['errors'], l10n('UAM_Error_Using_illegal_flag'));
+    }
     
 	  $newconf_UAM_ConfirmMail = array (
@@ -433,5 +456,8 @@
     'UAM_HIDEPASSW_FALSE'            => $conf_UAM[34]=='false' ?  'checked="checked"' : '' ,
 		'UAM_PASSWORD_TEST_SCORE'        => $UAM_Password_Test_Score,
-    'UAM_ERROR_REPORTS4'             => $UAM_Exclusionlist_Error,
+    'UAM_ERROR_REPORTS1'             => $UAM_Exclusionlist_Error,
+    'UAM_ERROR_REPORTS2'             => $UAM_Illegal_Flag_Error1,
+    'UAM_ERROR_REPORTS3'             => $UAM_Illegal_Flag_Error2,
+    'UAM_ERROR_REPORTS4'             => $UAM_Illegal_Flag_Error3,
 		'UAM_CONFIRMMAIL_TIMEOUT_TRUE'	 => $conf_UAM_ConfirmMail[0]=='true' ?  'checked="checked"' : '' ,
 		'UAM_CONFIRMMAIL_TIMEOUT_FALSE'  => $conf_UAM_ConfirmMail[0]=='false' ?  'checked="checked"' : '' ,
Index: /extensions/UserAdvManager/branches/2.20/admin/template/global.tpl
===================================================================
--- /extensions/UserAdvManager/branches/2.20/admin/template/global.tpl	(revision 11318)
+++ /extensions/UserAdvManager/branches/2.20/admin/template/global.tpl	(revision 11319)
@@ -135,5 +135,5 @@
           </li>
 
-          {if $UAM_ERROR_REPORTS4}     
+          {if $UAM_ERROR_REPORTS1}     
             <div id="uam_leftmargin">
               <textarea class="uam_textfields" name="UAM_MailExclusion_List" id="UAM_MailExclusion_List" rows="3" style="color: red" {$TAG_INPUT_ENABLED}>{$UAM_MAILEXCLUSION_LIST}</textarea>
@@ -283,5 +283,9 @@
               </label>
             <br><br>
+            {if $UAM_ERROR_REPORTS2}
+                <textarea class="uam_textfields" name="UAM_ConfirmMail_Text" id="UAM_ConfirmMail_Text" rows="10" style="color: red" {$TAG_INPUT_ENABLED}>{$UAM_CONFIRMMAIL_TEXT}</textarea>
+            {else}
                 <textarea class="uam_textfields" name="UAM_ConfirmMail_Text" id="UAM_ConfirmMail_Text" rows="10" {$TAG_INPUT_ENABLED}>{$UAM_CONFIRMMAIL_TEXT}</textarea>
+            {/if}
             <br><br>
             </li>
@@ -427,5 +431,9 @@
                   </label>
                 <br><br>
+                {if $UAM_ERROR_REPORTS3}
+                    <textarea class="uam_textfields" name="UAM_ConfirmMail_ReMail_Txt1" id="UAM_ConfirmMail_ReMail_Txt1" rows="10" style="color: red" {$TAG_INPUT_ENABLED}>{$UAM_CONFIRMMAIL_REMAIL_TXT1}</textarea>
+                {else}
                     <textarea class="uam_textfields" name="UAM_ConfirmMail_ReMail_Txt1" id="UAM_ConfirmMail_ReMail_Txt1" rows="10" {$TAG_INPUT_ENABLED}>{$UAM_CONFIRMMAIL_REMAIL_TXT1}</textarea>
+                {/if}
                 <br><br>
                 </li>
@@ -443,5 +451,9 @@
                   </label>
                 <br><br>
+                {if $UAM_ERROR_REPORTS4}
+                    <textarea class="uam_textfields" name="UAM_ConfirmMail_ReMail_Txt2" id="UAM_ConfirmMail_ReMail_Txt2" rows="10" style="color: red" {$TAG_INPUT_ENABLED}>{$UAM_CONFIRMMAIL_REMAIL_TXT2}</textarea>
+                {else}
                     <textarea class="uam_textfields" name="UAM_ConfirmMail_ReMail_Txt2" id="UAM_ConfirmMail_ReMail_Txt2" rows="10" {$TAG_INPUT_ENABLED}>{$UAM_CONFIRMMAIL_REMAIL_TXT2}</textarea>
+                {/if}
                 <br>
                 </li>
Index: /extensions/UserAdvManager/branches/2.20/changelog.txt.php
===================================================================
--- /extensions/UserAdvManager/branches/2.20/changelog.txt.php	(revision 11318)
+++ /extensions/UserAdvManager/branches/2.20/changelog.txt.php	(revision 11319)
@@ -257,5 +257,7 @@
 -- 2.20.9 : Bug fixed on installation from scratch (unable to save config)
 
--- 2.20.10 : Bug 2324 fixed - New feature : Add [days] flag to insert maximum numbers of days between two visits set in plugin's GhostTracker in GhostTracker reminder email.
+-- 2.20.10 : Bug 2324 fixed - New feature : Add [days] autotext flag to insert maximum numbers of days between two visits set in plugin's GhostTracker in GhostTracker reminder email.
+
+-- 2.20.11 : Bug 2336 fixed - New feature : Add [Kdays] autotext flag to insert the number of days until expiration.
 */
 ?>
Index: /extensions/UserAdvManager/branches/2.20/include/functions.inc.php
===================================================================
--- /extensions/UserAdvManager/branches/2.20/include/functions.inc.php	(revision 11318)
+++ /extensions/UserAdvManager/branches/2.20/include/functions.inc.php	(revision 11319)
@@ -860,5 +860,5 @@
     if (isset($conf_UAM[9]) and $conf_UAM[9] <> '')
     {
-      // Management of Extension flags ([username], [mygallery], [myurl])
+      // Management of Extension flags ([username], [mygallery], [myurl], [Kdays])
       $patterns[] = '#\[username\]#i';
       $replacements[] = $username;
@@ -867,4 +867,10 @@
       $patterns[] = '#\[myurl\]#i';
       $replacements[] = $conf['gallery_url'];
+      
+      if (isset($conf_UAM_ConfirmMail[0]) and $conf_UAM_ConfirmMail[0] == 'true') // [Kdays] replacement only if related option is active
+      {
+        $patterns[] = '#\[Kdays\]#i';
+        $replacements[] = $conf_UAM_ConfirmMail[1];
+      }
       
       if (function_exists('get_user_language_desc'))
@@ -949,5 +955,5 @@
       if (isset($conf_UAM_ConfirmMail[2]) and $conf_UAM_ConfirmMail[2] <> '' and isset($conf_UAM_ConfirmMail[3]) and $conf_UAM_ConfirmMail[3] == 'true' and $confirm)
       {
-        // Management of Extension flags ([username], [mygallery], [myurl])
+        // Management of Extension flags ([username], [mygallery], [myurl], [Kdays])
         $patterns[] = '#\[username\]#i';
         $replacements[] = $username;
@@ -956,4 +962,10 @@
         $patterns[] = '#\[myurl\]#i';
         $replacements[] = $conf['gallery_url'];
+
+        if (isset($conf_UAM_ConfirmMail[0]) and $conf_UAM_ConfirmMail[0] == 'true') // [Kdays] replacement only if related option is active
+        {
+          $patterns[] = '#\[Kdays\]#i';
+          $replacements[] = $conf_UAM_ConfirmMail[1];
+        }
 
         if (function_exists('get_user_language_desc'))
@@ -985,5 +997,5 @@
       if (isset($conf_UAM_ConfirmMail[4]) and $conf_UAM_ConfirmMail[4] <> '' and isset($conf_UAM_ConfirmMail[3]) and $conf_UAM_ConfirmMail[3] == 'true' and !$confirm)
       {
-        // Management of Extension flags ([username], [mygallery], [myurl])
+        // Management of Extension flags ([username], [mygallery], [myurl], [Kdays])
         $patterns[] = '#\[username\]#i';
         $replacements[] = $username;
@@ -992,4 +1004,10 @@
         $patterns[] = '#\[myurl\]#i';
         $replacements[] = $conf['gallery_url'];
+
+        if (isset($conf_UAM_ConfirmMail[0]) and $conf_UAM_ConfirmMail[0] == 'true') // [Kdays] replacement only if related option is active
+        {
+          $patterns[] = '#\[Kdays\]#i';
+          $replacements[] = $conf_UAM_ConfirmMail[1];
+        }
         
         if (function_exists('get_user_language_desc'))
Index: /extensions/UserAdvManager/branches/2.20/language/de_DE/plugin.lang.php
===================================================================
--- /extensions/UserAdvManager/branches/2.20/language/de_DE/plugin.lang.php	(revision 11318)
+++ /extensions/UserAdvManager/branches/2.20/language/de_DE/plugin.lang.php	(revision 11319)
@@ -328,3 +328,8 @@
 $lang['UAM_HidePassw'] = 'Passwort im Klartext in der Informations-E-Mail';
 // --------- End: New or revised $lang ---- from version 2.20.4
+
+
+// --------- Starting below: New or revised $lang ---- from version 2.20.11
+/*TODO*/$lang['UAM_Error_Using_illegal_flag'] = 'Syntax error ! The [Kdays] AutoText flag is used as the "Anmeldeschluss Validierung beschränkt" option was not activated. Please activate the option or correct the text field(s) colored in red.';
+// --------- End: New or revised $lang ---- from version 2.20.11
 ?>
Index: /extensions/UserAdvManager/branches/2.20/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/UserAdvManager/branches/2.20/language/en_UK/plugin.lang.php	(revision 11318)
+++ /extensions/UserAdvManager/branches/2.20/language/en_UK/plugin.lang.php	(revision 11319)
@@ -330,3 +330,8 @@
 $lang['UAM_HidePassw'] = 'Password in clear text in the information email';
 // --------- End: New or revised $lang ---- from version 2.20.4
+
+
+// --------- Starting below: New or revised $lang ---- from version 2.20.11
+$lang['UAM_Error_Using_illegal_flag'] = 'Syntax error ! The [Kdays] AutoText flag is used as the "Deadline for registration validation limited" option was not activated. Please activate the option or correct the text field(s) colored in red.';
+// --------- End: New or revised $lang ---- from version 2.20.11
 ?>
Index: /extensions/UserAdvManager/branches/2.20/language/es_ES/plugin.lang.php
===================================================================
--- /extensions/UserAdvManager/branches/2.20/language/es_ES/plugin.lang.php	(revision 11318)
+++ /extensions/UserAdvManager/branches/2.20/language/es_ES/plugin.lang.php	(revision 11319)
@@ -368,3 +368,8 @@
 $lang['UAM_HidePassw'] = 'Contraseña en texto claro en la información del correo electrónico';
 // --------- End: New or revised $lang ---- from version 2.20.4
+
+
+// --------- Starting below: New or revised $lang ---- from version 2.20.11
+/*TODO*/$lang['UAM_Error_Using_illegal_flag'] = 'Syntax error ! The [Kdays] AutoText flag is used as the "Plazo para la validación de registro limitado" option was not activated. Please activate the option or correct the text field(s) colored in red.';
+// --------- End: New or revised $lang ---- from version 2.20.11
 ?>
Index: /extensions/UserAdvManager/branches/2.20/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/UserAdvManager/branches/2.20/language/fr_FR/plugin.lang.php	(revision 11318)
+++ /extensions/UserAdvManager/branches/2.20/language/fr_FR/plugin.lang.php	(revision 11319)
@@ -329,3 +329,7 @@
 $lang['UAM_HidePassw'] = 'Mot de passe en clair dans le mail d\'information';
 // --------- End: New or revised $lang ---- from version 2.20.4
+
+// --------- Starting below: New or revised $lang ---- from version 2.20.11
+$lang['UAM_Error_Using_illegal_flag'] = 'Erreur de syntaxe ! Le drapeau d\'insertion automatique [Kdays] est utilisé alors que l\'option "Limitation du délai de validation d\'inscription" n\'a pas été activée. Veuillez activer l\'option ou corriger le(s) champ(s) marqué(s) en rouge.';
+// --------- End: New or revised $lang ---- from version 2.20.11
 ?>
Index: /extensions/UserAdvManager/branches/2.20/language/it_IT/plugin.lang.php
===================================================================
--- /extensions/UserAdvManager/branches/2.20/language/it_IT/plugin.lang.php	(revision 11318)
+++ /extensions/UserAdvManager/branches/2.20/language/it_IT/plugin.lang.php	(revision 11319)
@@ -11,22 +11,22 @@
 
 /* Mailing */
-$lang['UAM_infos_mail %s'] = '%s, di seguito i vostri dati per accedere alla galleria:';
-$lang['UAM_User: %s'] = 'Utente: %s';
-$lang['UAM_Password: %s'] = 'Password: %s';
-$lang['UAM_Link: %s'] = 'Cliccare su questo link per confermare la vostra iscrizzione: %s';
+$lang['UAM_infos_mail %s'] = '%s, di seguito i vostri dati per accedere alla galleria :';
+$lang['UAM_User: %s'] = 'Utente : %s';
+$lang['UAM_Password: %s'] = 'Password : %s';
+$lang['UAM_Link: %s'] = 'Cliccare su questo link per confermare la vostra iscrizzione : %s';
 
 
 /* Email confirmation page */
-$lang['UAM_title_confirm_mail'] = 'Confermare la vostra iscrizzione';
-$lang['UAM_confirm_mail_page_title'] = 'Confermare l\'iscrizzione';
+$lang['UAM_title_confirm_mail'] = 'Conferma della vostra iscrizzione';
+$lang['UAM_confirm_mail_page_title'] = 'Conferma l\'iscrizzione';
 
 
 /* Errors and Warnings */
 $lang['UAM_audit_ok'] = 'Audit OK';
-$lang['UAM_Err_audit_username_char'] = '<b>Questo conto utente utilizza uno o più caratteri vietati:</b> ';
-$lang['UAM_Err_audit_email_forbidden'] = '<b>Questo conto utente usa un dominio d\'Email proibito:</b> ';
+$lang['UAM_Err_audit_username_char'] = '<b>Questo conto utente utilizza uno o più caratteri vietati :</b> ';
+$lang['UAM_Err_audit_email_forbidden'] = '<b>Questo conto utente usa un dominio d\'Email proibito :</b> ';
 $lang['UAM_Err_audit_advise'] = '<b>Dovete eseguire delle correzioni per rispettare le nuove impostazzioni che avete attivato.<br> Utilizzare un programma per la gestione della base dati per correggere i conti utente direttamente nella tabella ###_USERS';
-$lang['UAM_reg_err_login2'] = 'Nome utente non deve contenere in caratteri seguenti: ';
-$lang['UAM_reg_err_login5'] = 'Il tuo provider di posta usa dominio d\'Email proibito. I domini preibiti sono i seguenti: ';
+$lang['UAM_reg_err_login2'] = 'Il nome utente non deve contenere i caratteri seguenti : ';
+$lang['UAM_reg_err_login5'] = 'Il tuo provider di posta usa dominio d\'email proibito. I domini preibiti sono i seguenti : ';
 $lang['UAM_empty_pwd'] = '[password vuota]';
 $lang['UAM_no_update_pwd'] = '[profilo aggiornato senza modifica della password]';
@@ -34,5 +34,5 @@
 $lang['UAM_No_validation_for_default_user'] = 'Il conto di default non è soggetto a convalida';
 $lang['UAM_No_validation_for_Webmaster'] = 'Il conto del "Webmaster" non è soggetto a convalida';
-$lang['UAM_No_validation_for_your_account'] = 'Il tuo conto amminstratore non è soggetto a convalida';
+$lang['UAM_No_validation_for_your_account'] = 'Il vostro conto amminstratore non è soggetto a convalida';
 
 
@@ -40,6 +40,6 @@
 $lang['UAM_%d_Mail_With_Key'] = '%d messaggio con il rinnovo della chiave è stato inviato';
 $lang['UAM_%d_Mails_With_Key'] = '%d messaggi con il rinnovo della chiave sono stati inviati';
-$lang['UAM_%d_Reminder_Sent'] = '%d Email di rilancio è stato inviato';
-$lang['UAM_%d_Reminders_Sent'] = '%d Email di rilancio sono stati inviati';
+$lang['UAM_%d_Reminder_Sent'] = '%d email di rilancio è stata inviata';
+$lang['UAM_%d_Reminders_Sent'] = '%d email di rilancio sono state inviate';
 $lang['UAM_%d_Validated_User'] = '%d utente convalidato manualmente';
 $lang['UAM_%d_Validated_Users'] = '%d utenti convalidati manualmente';
@@ -60,10 +60,10 @@
 $lang['UAM_Tab_GhostTracker'] = 'GhostTracker';
 $lang['UAM_Reminder'] = 'Email di rilancio';
-$lang['UAM_Reminder_Sent_OK'] = 'SI';
+$lang['UAM_Reminder_Sent_OK'] = 'SÌ';
 $lang['UAM_Reminder_Sent_NOK'] = 'NO';
 /* Errors and Warnings */
-$lang['UAM_save_config'] ='Configurazione salvata.';
-$lang['UAM_reg_err_login3'] = 'Sicurezza: La password è obbligatoria!';
-$lang['UAM_reg_err_login4_%s'] = 'Sicurezza: un sistema di controllo calcola un punteggio basandosi sulla complessità della password scelta. La complessità della password è troppo bassa (punteggio = %s). Si prega di scegliere una nuova password più sicura seguendo queste regole:<br>
+$lang['UAM_save_config'] ='Configurazione salvata';
+$lang['UAM_reg_err_login3'] = 'Sicurezza : La password è obbligatoria!';
+$lang['UAM_reg_err_login4_%s'] = 'Sicurezza : un sistema di controllo calcola un punteggio basandosi sulla complessità della password scelta. La complessità della password è troppo bassa (punteggio = %s). Si prega di scegliere una nuova password più sicura seguendo queste regole : <br>
 - Utilizzare delle lettere e dei numeri<br>
 - Usare delle maiuscole e delle minuscole<br>
@@ -73,5 +73,5 @@
 $lang['UAM_No_reminder_for_default_user'] = 'Il conto utente di default non è soggetto a ricevere dei promemoria dal GhostTracker';
 $lang['UAM_No_reminder_for_Webmaster'] = 'Il conto utente "Webmaster" non è soggetto a ricevere dei promemoria dal GhostTracker';
-$lang['UAM_No_reminder_for_your_account'] = 'Il tuo conto amministratore non è soggetto a ricevere dei promemoria dal GhostTracker';
+$lang['UAM_No_reminder_for_your_account'] = 'Il vostro conto amministratore non è soggetto a ricevere dei promemoria dal GhostTracker';
 /* Action button names */
 $lang['UAM_audit'] = 'Audit delle impostazioni';
@@ -90,5 +90,5 @@
 // --------- Starting below: New or revised $lang ---- from version 2.12.8
 /* Errors and Warnings */
-$lang['UAM_mail_exclusionlist_error'] = 'Attenzione! Avete inserito una nuova riga all\'inizio dell\'elenco d\'esclusione Email (indicato in rosso qui sotto). Anche se questa nuova riga non è visibile, con la sua presenza potrebbe causare delle disfunzioni del plugin. Si prega di cancellare la riga vuota.';
+$lang['UAM_mail_exclusionlist_error'] = 'Attenzione! Avete inserito una nuova riga all\'inizio dell\'elenco d\'esclusione email (indicato in rosso qui sotto). Anche se questa nuova riga non è visibile, la sua presenza potrebbe causare delle disfunzioni del plugin. Si prega di cancellare la riga vuota';
 // --------- End: New or revised $lang ---- from version 2.12.8
 
@@ -103,31 +103,30 @@
 // --------- Starting below: New or revised $lang ---- from version 2.13.4
 /* Global Configuration Tab */
-$lang['UAM_Title_Tab'] = 'UserAdvManager - Versione: ';
-$lang['UAM_SubTitle1'] = 'Configurazione dei plugin';
+$lang['UAM_Title_Tab'] = 'UserAdvManager - Versione : ';
+$lang['UAM_SubTitle1'] = 'Configurazione del plugin';
 $lang['UAM_Tab_Global'] = 'Configurazione';
 $lang['UAM_Title1'] = 'Impostare le restrizioni per le registrazioni';
-$lang['UAM_Title2'] = 'Impostare le conferme e validazioni all\'iscrizione';
+$lang['UAM_Title2'] = 'Impostare le conferme e validazioni per l\'iscrizione';
 $lang['UAM_Title3'] = 'Impostare le registrazioni seguite e altre opzioni';
 $lang['UAM_Title4'] = 'Suggerimenti ed esempi d\'utilizzo';
-$lang['UAM_No_Casse'] = 'Nome utente: Sensibile alle maiusc/minusc';
-$lang['UAM_No_Casse_true'] = ' Attivare';
-$lang['UAM_Username_Char'] = 'Nome utente: Esclusione di certi caratteri';
-$lang['UAM_Username_Char_true'] = ' Vietare i caratteri:<br>(Usare una virgola per separare ogni carattere)<br><br>';
+$lang['UAM_No_Casse'] = 'Nome utente : Sensibile alle maiusc/minusc';
+$lang['UAM_Username_Char'] = 'Nome utente : Esclusione di certi caratteri';
+$lang['UAM_Username_Char_true'] = ' Vietare i caratteri : <br>(usare una virgola per separare ogni carattere)<br><br>';
 $lang['UAM_Username_Char_false'] = ' Autorizzare tutti (di default)';
 $lang['UAM_Password_Enforced'] = 'Rafforzare il livello di sicurezza delle password';
-$lang['UAM_Password_Enforced_true'] = ' Attivare. Punteggio minimo: ';
+$lang['UAM_Password_Enforced_true'] = ' Attivare. Punteggio minimo : ';
 $lang['UAM_AdminPassword_Enforced'] = 'Applicare agli amministratori';
-$lang['UAM_PasswordTest'] = 'Password di prova: ';
-$lang['UAM_ScoreTest'] = 'Risultato: ';
-$lang['UAM_MailExclusion'] = 'Esclusione dei domini d\'Email';
-$lang['UAM_MailExclusion_true'] = ' Escludi i seguenti domini:<br>(Utilizzare una virgola per separare ogni dominio)';
-
-$lang['UAM_Mail_Info'] = 'Email d\'informazione per l\'utente:';
-$lang['UAM_MailInfo_Text'] = ' Personalizzare il testo dell\'Email:';
-$lang['UAM_Confirm_Mail'] = 'Conferma dell\'iscrizione:';
-$lang['UAM_ConfirmMail_Text'] = ' Personalizzare il testo dell\'Email di conferma:';
+$lang['UAM_PasswordTest'] = 'Password di prova : ';
+$lang['UAM_ScoreTest'] = 'Risultato : ';
+$lang['UAM_MailExclusion'] = 'Esclusione dei domini d\'email';
+$lang['UAM_MailExclusion_true'] = ' Escludi i seguenti domini : <br>(utilizzare una virgola per separare ogni dominio)';
+
+$lang['UAM_Mail_Info'] = 'Email d\'informazione per l\'utente :';
+$lang['UAM_MailInfo_Text'] = ' Personalizzare il testo dell\'email :';
+$lang['UAM_Confirm_Mail'] = 'Conferma dell\'iscrizione :';
+$lang['UAM_ConfirmMail_Text'] = ' Personalizzare il testo dell\'email di conferma :';
 $lang['UAM_Confirm_Group'] = 'Gruppi di convalida<br>(------- per non assegnare nessun gruppo)';
-$lang['UAM_Confirm_Status'] = 'Convalida Statuti<br>(Invia ------- per mantenere il valore di default di Piwigo)';
-$lang['UAM_Confirm_grpstat_notice'] = 'ATTENZIONE: Si consiglia di utilizzare o il gruppo o lo statuto di convalida ma non entrambi simultaneamente.';
+$lang['UAM_Confirm_Status'] = 'Convalida Statuti<br>(invia ------- per mantenere il valore di default di Piwigo)';
+$lang['UAM_Confirm_grpstat_notice'] = 'ATTENZIONE : Si consiglia di utilizzare o il gruppo o lo statuto di convalida ma non entrambi simultaneamente';
 $lang['UAM_No_Confirm_Group'] = 'Gruppo per gli utenti che non hanno convalidato la loro iscrizione<br>';
 $lang['UAM_Validated_Group'] = 'Gruppo per gli utenti che hanno convalidato la loro iscrizione<br>';
@@ -135,11 +134,11 @@
 $lang['UAM_Validated_Status'] = 'Stato per gli utenti che hanno convalidato la loro iscrizione<br>';
 $lang['UAM_ValidationLimit_Info'] = 'Termine per la validazione dell\'iscrizione limitato';
-$lang['UAM_ConfirmMail_TimeOut_true'] = ' Attivare. Numero di giorni per la scadenza: ';
+$lang['UAM_ConfirmMail_TimeOut_true'] = ' Attivare. Numero di giorni per la scadenza : ';
 $lang['UAM_ConfirmMail_Remail'] = 'Email di rilancio ai visitatori non convalidati';
-$lang['UAM_ConfirmMail_ReMail_Txt1'] = 'Personalizzare l\'Email di rilancio <b><u>con</u></b> rigenerazione di una nuova chiave di convalida.';
-$lang['UAM_ConfirmMail_ReMail_Txt2'] = 'Personalizzare l\'Email di rilancio <b><u>senza</u></b> rigenerazione di una nuova chiave di convalida.';
-
-$lang['UAM_GhostTracker'] = 'Gestione degli ospiti fantasmi (GhostTracker)';
-$lang['UAM_GhostTracker_true'] = ' Attivare. Durata massima di giorni tra due visite: ';
+$lang['UAM_ConfirmMail_ReMail_Txt1'] = 'Personalizzare l\'email di rilancio <b><u>con</u></b> rigenerazione di una nuova chiave di convalida';
+$lang['UAM_ConfirmMail_ReMail_Txt2'] = 'Personalizzare l\'email di rilancio <b><u>senza</u></b> rigenerazione di una nuova chiave di convalida';
+
+$lang['UAM_GhostTracker'] = 'Gestione dei visitatori fantasmi (GhostTracker)';
+$lang['UAM_GhostTracker_true'] = ' Attivare. Durata massima di giorni tra due visite : ';
 $lang['UAM_GhostTracker_ReminderText'] = 'Testo di rilancio personalizzato';
 $lang['UAM_LastVisit'] = ' Tracciamento utenti registrati';
@@ -153,18 +152,18 @@
 $lang['UAM_SubTitle4'] = 'GhostTracker';
 $lang['UAM_GT_Init'] = 'Inizializzazione del GhostTracker';
-$lang['UAM_GhostTracker_Title'] = 'Gestione degli ospiti fantasmi';
-$lang['UAM_GhostTracker_Init'] = 'Se si attiva questa funzione per la prima volta o se viene riattivata dopo un lungo periodo durante il quale dei nuovi visitatori si sono registrati, è necessario inizializzare o azzerare il Tracker Ghost. Questa azione è da effettuarsi solo dopo l\'attivazione o la riattivazione dell\'opzione; Cliccare dunque <u>una sola volta</u> sull\'pulsante di reset sottostante.';
+$lang['UAM_GhostTracker_Title'] = 'Gestione degli visitatori fantasmi';
+$lang['UAM_GhostTracker_Init'] = 'Se si attiva questa funzione per la prima volta o se viene riattivata dopo un lungo periodo durante il quale dei nuovi visitatori si sono registrati, è necessario inizializzare o azzerare il Tracker Ghost. Questa azione è da effettuarsi solo dopo l\'attivazione o la riattivazione dell\'opzione; Cliccare dunque <u>una sola volta</u> sull\'pulsante di reset sottostante';
 /* UserList Tab */
-$lang['UAM_SubTitle5'] = 'Infos sugli utenti';
+$lang['UAM_SubTitle5'] = 'Informazioni sugli utenti';
 /* Mailing */
 $lang['UAM_Add of %s'] = 'Profilo creato per %s';
 $lang['UAM_Update of %s'] = 'Profilo %s aggiornato';
 /* Mailing */
-$lang['UAM_Ghost_reminder_of_%s'] = '%s, questa è un\'Email di rilancio';
-$lang['UAM_Reminder_with_key_of_%s'] = '%s, la vostra chiave di convalida è stata rinnovata';
+$lang['UAM_Ghost_reminder_of_%s'] = '%s, questa è un\'email di rilancio';
+$lang['UAM_Reminder_with_key_of_%s'] = '%s, la vostra chiave di convalida è scaduta';
 $lang['UAM_Reminder_without_key_of_%s'] = '%s, la chiave di convalida sta per scadere';
 /* Errors and Warnings */
-$lang['UAM_Err_GhostTracker_Settings'] = 'Questa pagina è disponibile solo se "GhostTracker" è attivo in "Impostare le registrazioni seguite e altre opzioni".';
-$lang['UAM_Err_Userlist_Settings'] = 'Questa pagina è disponibile solo se "Monitoraggio degli utenti registrati" è attivo nella sezione "Impostare le registrazioni seguite e altre opzioni".';
+$lang['UAM_Err_GhostTracker_Settings'] = 'Questa pagina è disponibile solo se "GhostTracker" è attivo in "Impostare le registrazioni seguite e altre opzioni"';
+$lang['UAM_Err_Userlist_Settings'] = 'Questa pagina è disponibile solo se "Monitoraggio degli utenti registrati" è attivo nella sezione "Impostare le registrazioni seguite e altre opzioni"';
 // --------- End: New or revised $lang ---- from version 2.13.4
 
@@ -176,16 +175,17 @@
 
 // --------- Starting below: New or revised $lang ---- from version 2.15.0
-$lang['UAM_confirmmail_custom_Txt1'] = 'Testo della pagina di conferma - Conferma accettati';
-$lang['UAM_confirmmail_custom_Txt2'] = 'Testo della pagina di conferma - Conferma respinto';
-$lang['UAM_LastVisit_Date'] = 'ultima visita';
+$lang['UAM_confirmmail_custom_Txt1'] = 'Testo della pagina di conferma - Conferma accettata';
+$lang['UAM_confirmmail_custom_Txt2'] = 'Testo della pagina di conferma - Conferma respinta';
+$lang['UAM_LastVisit_Date'] = 'Ultima visita';
 $lang['UAM_Nb_Days'] = 'Differenza in giorni';
-$lang['UAM_Err_UserManager_Settings'] = 'Questa pagina è disponibile solo se "Conferma dell\'iscrizione" è attiva e se un gruppo di visitatori non convalidato è configurato in "Impostare le conferme e validazioni all\'iscrizione".';
+$lang['UAM_Err_UserManager_Settings'] = 'Questa pagina è disponibile solo se "Conferma dell\'iscrizione" è attiva e se un gruppo di visitatori non convalidato è configurato in "Impostare le conferme e validazioni all\'iscrizione"';
 // --------- End: New or revised $lang ---- from version 2.15.0
 
 
 // --------- Starting below: New or revised $lang ---- from version 2.15.1
-$lang['UAM_Support_txt'] = 'Il supporto ufficiale a questo plugin è solo su questi argomento del forum Piwigo:<br>
-<a href="http://piwigo.org/forum/viewtopic.php?id=15015" onclick="window.open(this.href);return false;">Forum inglese - http://piwigo.org/forum/viewtopic.php?id=15015</a><br><br>
-Disponibile anche, il bugtracker del progetto: <a href="http://piwigo.org/bugs/" onclick="window.open(this.href);return false;">http://piwigo.org/bugs/</a>';
+$lang['UAM_Support_txt'] = 'Il supporto ufficiale per questo plugin viene effettuato esclusivamente sul forum EN di Piwigo :<br>
+<a href="http://piwigo.org/forum/viewtopic.php?id=15015" onclick="window.open(this.href);return false;">Forum inglese - http://piwigo.org/forum/viewtopic.php?id=15015</a>
+<br><br>
+Disponibile anche, il bugtracker del progetto : <a href="http://piwigo.org/bugs/" onclick="window.open(this.href);return false;">http://piwigo.org/bugs/</a>';
 // --------- End: New or revised $lang ---- from version 2.15.1
 
@@ -200,15 +200,18 @@
 
 // --------- Starting below: New or revised $lang ---- from version 2.16.0
-$lang['UAM_Expired_Group'] = '<b>Gruppo</b> per gli utenti la cui registrazione sara scaduta<br>';
-$lang['UAM_Expired_Status'] = '<b>Statuto</b> per gli utenti la cui registrazione sara scaduta<br>';
+$lang['UAM_Expired_Group'] = '<b>Gruppo</b> per gli utenti per i quali la registrazione sara scaduta<br>';
+$lang['UAM_Expired_Status'] = '<b>Statuto</b> per gli utenti per i quali la registrazione sara scaduta<br>';
 $lang['UAM_GTAuto'] = 'Gestione automatica degli utenti fantasmi';
 $lang['UAM_GTAutoDel'] = 'Cancellazione automatica dei conti';
 $lang['UAM_GTAutoGp'] = 'Cambiamento automatico del gruppo / statuto';
-$lang['UAM_GTAutoMail'] = 'Emailing di rilancio automatico';
+$lang['UAM_GTAutoMail'] = 'Emailing di rilancio automatico per cambiamento gruppo / statuto';
 $lang['UAM_Deleted_Account_Redirection_Page'] = 'Accesso negato - Account cancellato!';
-$lang['UAM_title_redir_page'] = 'Accesso negato per causa di account cancellato !';
-$lang['UAM_Error_GTAutoMail_cannot_be_set_without_ConfirmMail'] = 'Errore di coerenza nella configurazione prescelta :<br><br>
-"Parametraggio monitoraggio degli iscritti e altre opzioni > Gestione degli utenti fantasmi (Ghost Tracker) > Gestione automatica degli utenti fantasmi > Email automatica su cambiamento di gruppo / statuto" non può essere attivato "Parametraggio delle conferme e validazione d\'iscrizione  > Conferma d\'iscrizione - Conferma dal utente" non è perattivata.<br><br>
-Per garantire la coerenza, l\'opzione "Email automatica su cambiamento del gruppo / statuto" è stata automaticamente riposizionata in "disattivato".<br><br>';
+$lang['UAM_title_redir_page'] = 'Accesso negato per causa di account cancellato!';
+$lang['UAM_Error_GTAutoMail_cannot_be_set_without_ConfirmMail'] = 'Errore di coerenza nella configurazione prescelta :
+<br><br>
+"Parametraggio monitoraggio degli iscritti e altre opzioni > Gestione degli utenti fantasmi (Ghost Tracker) > Gestione automatica degli utenti fantasmi > Email automatica su cambiamento di gruppo / statuto" non può essere attivato se "Parametraggio delle conferme e validazione d\'iscrizione > Conferma d\'iscrizione - Conferma dal utente" non è stata perattivata
+<br><br>
+Per garantire la coerenza, l\'opzione "Email automatica su cambiamento del gruppo / statuto" è stata automaticamente riposizionata a "disattivato"
+<br><br>';
 $lang['UAM_Demotion of %s'] = 'Retrocessione di %s';
 $lang['UAM_AdminValidationMail_Text'] = 'Notifica della validazione d\'iscrizione manuale';
@@ -218,5 +221,5 @@
 
 // --------- Starting below: New or revised $lang ---- from version 2.20.0
-/*TODO*/$lang['UAM_CustomPasswRetr'] = 'Customize lost password email content';
+$lang['UAM_CustomPasswRetr'] = 'Personalizzare il contenuto della email per password persa';
 /*TODO*/$lang['UAM_USRAuto'] = 'Automatic management of unvalidated users';
 /*TODO*/$lang['UAM_USRAutoDel'] = 'Custom message on deleted account';
@@ -228,12 +231,11 @@
           <ul>
             <li>
-            Goals: Inform the visitor that the registration is awaiting approval by displaying a personal block on the home page of the gallery, and this, as registration is not approved.
-            <br><br>
-            <b>Nota: Nel funzionamento standard, l\'utente "Guest" vede solo le categorie pubbliche, senza messaggio d\'informazione.</b>
+            Goals: Inform the visitor that the registration is awaiting approval by displaying a personal block on the home page of the gallery, and this, as registration is not approved.<br><br>
+            <b>Nota : Nel funzionamento standard, l\'utente "Guest" vede solo le categorie pubbliche, senza messaggio d\'informazione.</b>
             </li><br><br>
             <li>
-Prerequisiti:<br>
+Prerequisiti :<br>
 - Una galleria con tutte o alcune categorie private, visibili solo agli utenti registrati<br>
-- Almeno i 2 gruppi d\'utenti Piwigo seguenti: "Attesa", senza alcuna autorizzazione sulle categorie private, e "Convalidati" con tutte le autorizzazioni per le categorie private<br>
+- Almeno i 2 gruppi d\'utenti Piwigo seguenti : "Attesa", senza alcuna autorizzazione sulle categorie private, e "Convalidati" con tutte le autorizzazioni per le categorie private<br>
 - Il plugin NBC_UAM<br>
 - Il plugin PWG Stuffs, per l\'aggiunta di un modulo speciale UAM<br>
@@ -241,6 +243,6 @@
             </li><br><br>
             <li>
-Tappe:<br><br>
-A. Nel plugin NBC_UAM:
+Tappe :<br><br>
+A. Nel plugin NBC_UAM :
               <ol>
                 <li>Attivare la conferma dell\'iscrizione</li>
@@ -272,7 +274,7 @@
             </li><br><br>
             <li>
-Prerequisiti:<br>
+Prerequisiti :<br>
 - Una galleria con tutte o alcune categorie private, visibili solo agli utenti registrati<br>
-- Almeno i 2 gruppi d\'utenti Piwigo seguenti: "Attesa", senza alcuna autorizzazione sulle categorie private, e "Convalidati" con tutte le autorizzazioni per le categorie private<br>
+- Almeno i 2 gruppi d\'utenti Piwigo seguenti : "Attesa", senza alcuna autorizzazione sulle categorie private, e "Convalidati" con tutte le autorizzazioni per le categorie private<br>
 - Il plugin NBC_UAM<br>
 - Additional Pages plugin for adding and managing an additional page to replace the default index page of the gallery<br>
@@ -280,6 +282,6 @@
             </li><br><br>
             <li>
-Tappe:<br><br>
-A. Nel plugin NBC_UAM:
+Tappe :<br><br>
+A. Nel plugin NBC_UAM :
               <ol>
                 <li>Attivare la conferma dell\'iscrizione</li>
@@ -290,11 +292,11 @@
               </ol>
 <br>
-B. Nel plugin Additional Pages:<br>
+B. Nel plugin Additional Pages :<br>
                 <b>NOTE : The management of access rights for groups on Additional Pages must be turned on (see plugin configuration settings).</b>
                 <br>
               <ol>
-                <li>Add a new page with at least the following parameters:</li>
+                <li>Add a new page with at least the following parameters :</li>
                 <ul>
-                  <li>Page name: The name you wish to give to the additional page (ie: Registration not validated)</li>
+                  <li>Page name : The name you wish to give to the additional page (ie: Registration not validated)</li>
                   <li>Set as homepage checked</li>
                   <li>Groups allowed: Check the box corresponding to the group "Waiting" configured in UAM</li>
@@ -309,5 +311,5 @@
 /*TODO*/$lang['UAM_No_Userlist'] = 'No visitors to list for the moment';
 /*TODO*/$lang['UAM_No_Usermanager'] = 'No unvalidated registers to list for the moment';
-$lang['UAM_Stuffs_Title'] = 'UAM Module';
+$lang['UAM_Stuffs_Title'] = 'Modulo UAM';
 /*TODO*/$lang['UAM_Stuffs_Desc'] = 'Adds an information block for unvalidated users';
 $lang['UAM_Stuffs'] = 'modulo PWG Stuffs';
@@ -325,5 +327,10 @@
 
 // --------- Starting below: New or revised $lang ---- from version 2.20.4
-$lang['UAM_HidePassw'] = 'Password in chiaro nelle informazioni e-mail';
+$lang['UAM_HidePassw'] = 'Password in chiaro nelle email d\'informazione';
 // --------- End: New or revised $lang ---- from version 2.20.4
+
+
+// --------- Starting below: New or revised $lang ---- from version 2.20.11
+/*TODO*/$lang['UAM_Error_Using_illegal_flag'] = 'Syntax error ! The [Kdays] AutoText flag is used as the "Termine per la validazione dell\'iscrizione limitato" option was not activated. Please activate the option or correct the text field(s) colored in red.';
+// --------- End: New or revised $lang ---- from version 2.20.11
 ?>
Index: /extensions/UserAdvManager/branches/2.20/language/lv_LV/plugin.lang.php
===================================================================
--- /extensions/UserAdvManager/branches/2.20/language/lv_LV/plugin.lang.php	(revision 11318)
+++ /extensions/UserAdvManager/branches/2.20/language/lv_LV/plugin.lang.php	(revision 11319)
@@ -365,3 +365,8 @@
 /*TODO*/$lang['UAM_HidePassw'] = 'Clear password in information email';
 // --------- End: New or revised $lang ---- from version 2.20.4
+
+
+// --------- Starting below: New or revised $lang ---- from version 2.20.11
+/*TODO*/$lang['UAM_Error_Using_illegal_flag'] = 'Syntax error ! The [Kdays] AutoText flag is used as the "Reģistrācijas apstiprināšanas limita robežlīnija" option was not activated. Please activate the option or correct the text field(s) colored in red.';
+// --------- End: New or revised $lang ---- from version 2.20.11
 ?>
Index: /extensions/UserAdvManager/branches/2.20/main.inc.php
===================================================================
--- /extensions/UserAdvManager/branches/2.20/main.inc.php	(revision 11318)
+++ /extensions/UserAdvManager/branches/2.20/main.inc.php	(revision 11319)
@@ -2,5 +2,5 @@
 /*
 Plugin Name: UserAdvManager
-Version: 2.20.10
+Version: 2.20.11
 Description: Renforcer la gestion des utilisateurs - Enforce users management
 Plugin URI: http://piwigo.org/ext/extension_view.php?eid=216
